Replace ACH Payment Method

This function allows you to replace an ACH card payment method on a customer. It returns the updated Payment Method on success, which will have a new Fusebill generated ID

🚧

GET/PUT pattern

Since the DTO returned by the GET methods contain masked account numbers (e.g. '***1234'), the usual GET/PUT pattern does not work for updating ACH cards. To update this payment method, read the DTO from a GET, then add in the unmasked accountNumber and transitNumber. Use that JSON as the payload for this PUT request


Body Params
integer
required

The id of the payment method to update.

integer

This is the Stax Bill generated customer ID for the customer that this payment method is attached to.

integer

This is the ACH account number for this payment method.

integer

This is the ACH transit number for this payment method.

string
enum
Allowed:
string

This is the first name associated with the card.

string

This is the last name associated with the card.

string

This is the address associated with the card. This is required if Address Verification Services is in use.

string
number

This is the Stax Bill generated country code. Call Read Country ID to find the appropriate code.

number

This is the Stax Bill generated state code. Call Read Country ID to find the appropriate code.

string

This is the city associated with the address associated with the card. This is required if Address Verification Services is in use.

string

This is the regional location code (eg. ZIP code in the USA) associated with the address associated with the card. This is required if Address Verification Services is in use.

paymentCollectionOptions
object

If the card is validated successfully, this object is used to collect a specified amount.

Response
200
Language
Credentials
Header
LoadingLoading…